.BG
.FN my.smooth.spline
.TL
Auxiliary function for frob().
.DN
Auxiliary function for frob(). It is a modified version of smooth.spline, which 
assumes that ties are treated before. (This is done in the first part of frob()). 
.CS
my.smooth.spline(x, y, w, n.orig, df=5, spar=0, cv=F, all.knots=F, df.offset=0, 
penalty=1)
.RA
.AG x
Values of the predictor variable.
.AG y
Response variable, of the same length as x.
.AG w
Weights used in the fit.
.AG n.orig
Number of original observations.
.AG spar
Smoothing parameter satisfying spar = (lambda * sigma)/epsiprime/(max(xx) - min(xx))^3. 
.OA
The arguments of my.smooth.spline listed below are in general not used. They are 
present because my.smooth.spline is a modified version of smooth.spline.
.AG df
.AG cv
.AG all.knots
.AG df.offset
.AG penalty
.RT
This function returns an object of class smooth.spline. See the help of this 
function for further details.
.SH REFERENCES
Eva Cantoni and Elvezio  Ronchetti, "Resistant Selection of the Smoothing Paramater
for Smooting Splines", 2001, Statistics and Computing, 11, 141-146.
.SA
frob.
.WR


