.BG
.FN opt.RCp
.TL
Fit an M-type smoothing spline to the input data with the smoothing parameter 
chosen by robust Cp.
.DN
Fit an M-type smoothing spline with the smoothing parameter chosen by robust 
Cp as described in Eva Cantoni and Elvezio  Ronchetti, "Resistant Selection of 
the Smoothing Paramater for Smooting Splines", 2001, Statistics and Computing, 
11, 141-146.
.CS
opt.RCp(xx, yy, bornes.opt, ind.chuber=1.345)
.RA
.AG xx
Values of the predictor variable.
.AG yy
Response variable, of the same length as xx.
.AG bornes.opt
Interval in which the optimal smoothing parameter has to be found.
.OA
.AG ind.chuber
Tuning constant of the Huber psi function. The default value is set to 1.345.
.RT
A list is returned with the following components:
.AG lambda.opt
The optimal value of the smoothing parameter obtained by minimization of the 
robust Cp criterion.
.AG cv.opt
The value of the robust Cp for the optimal value of the smoothing parameter.
.AG ajust.opt
The fit for the optimal value of the smoothing parameter. It is an object of type
frob(). See this function for more details.
.SH REFERENCES
Eva Cantoni and Elvezio  Ronchetti, "Resistant Selection of the Smoothing Paramater
for Smooting Splines", 2001, Statistics and Computing, 11, 141-146.
.SA
frob,opt.cv.
.EX
myoptimalfit<- opt.RCp(myx,myy,c(0,1))
motif()
plot(myx,myy)
lines(myoptimalfit$ajust.opt$x,myoptimalfit$ajust.opt$estim)
.KW robust, smooth.
.WR
